Qwt User's Guide: QwtIntervalSample Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
QwtIntervalSample Class Reference

A sample of the types (x1-x2, y) or (x, y1-y2) More...

`#include <qwt_samples.h>`

## Public Member Functions
| QwtIntervalSample ()
| QwtIntervalSample (double, const QwtInterval &)
| Constructor.
| QwtIntervalSample (double value, double min, double max)
| Constructor.
bool | operator== (const QwtIntervalSample &) const
| Compare operator.
bool | operator!= (const QwtIntervalSample &) const
| Compare operator.

## Public Attributes
double | value
| Value.
QwtInterval | interval
| Interval.

## Detailed Description

A sample of the types (x1-x2, y) or (x, y1-y2)

Definition at line 20 of file qwt_samples.h.

## Constructor & Destructor Documentation

## ◆ QwtIntervalSample() [1/3]

QwtIntervalSample::QwtIntervalSample | ( |  | ) |
| inline

Constructor The value is set to 0.0, the interval is invalid

Definition at line 41 of file qwt_samples.h.

## ◆ QwtIntervalSample() [2/3]

QwtIntervalSample::QwtIntervalSample | ( | double | v,
|  | const QwtInterval & | intv )
| inline

Constructor.

Definition at line 47 of file qwt_samples.h.

## ◆ QwtIntervalSample() [3/3]

QwtIntervalSample::QwtIntervalSample | ( | double | value,
|  | double | min,
|  | double | max )
| inline

Constructor.

Definition at line 54 of file qwt_samples.h.

## Member Function Documentation

## ◆ operator!=()

bool QwtIntervalSample::operator!= | ( | const QwtIntervalSample & | other | ) | const
| inline

Compare operator.

Definition at line 67 of file qwt_samples.h.

## ◆ operator==()

bool QwtIntervalSample::operator== | ( | const QwtIntervalSample & | other | ) | const
| inline

Compare operator.

Definition at line 61 of file qwt_samples.h.

## Member Data Documentation

## ◆ interval

QwtInterval QwtIntervalSample::interval

Interval.

Definition at line 34 of file qwt_samples.h.

## ◆ value

double QwtIntervalSample::value

Value.

Definition at line 31 of file qwt_samples.h.